Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gtk::ColorSelectionDialog Class Reference

A GtkColorSelectionDialog C++ wrapper class. More...

`#include <inti/gtk/colorselection.h>`

Inheritance diagram for Inti::Gtk::ColorSelectionDialog:

List of all members.

## Public Member Functions

Constructors

- ColorSelectionDialog ()
    Construct a new ColorSelectionDialog with the default title.
- ColorSelectionDialog (const String &title)
    Construct a new ColorSelectionDialog with the specified title.
- virtual ~ColorSelectionDialog ()
    Destructor.

Accessors

- GtkColorSelectionDialog * gtk_color_selection_dialog () const
    Get a pointer to the GtkColorSelectionDialog structure.
- GtkColorSelectionDialogClass * gtk_color_selection_dialog_class () const
    Get a pointer to the GtkColorSelectionDialogClass structure.
- operator GtkColorSelectionDialog * () const
    Conversion operator; safely converts a ColorSelectionDialog to a GtkColorSelectionDialog pointer.
- ColorSelection * colorsel () const
    Returns the ColorSelection widget contained within the dialog.
- Button * ok_button () const
    Returns the OK button widget contained within the dialog. Connect a slot for the clicked_signal.
- Button * cancel_button () const
    Returns the cancel button widget contained within the dialog. Connect a slot for the clicked_signal.
- Button * help_button () const
    Returns the help button widget contained within the dialog. Connect a slot for the clicked_signal.

## Protected Member Functions

Constructors

- ColorSelectionDialog (GtkColorSelectionDialog *color_selection_dialog, bool reference=false)
    Construct a new ColorSelectionDialog from an existing GtkColorSelectionDialog.

## Detailed Description

A GtkColorSelectionDialog C++ wrapper class.

The ColorSelectionDialog provides a standard dialog which allows the user to select a color much like the FileSelection provides a standard dialog for file selection.

## Constructor & Destructor Documentation

Inti::Gtk::ColorSelectionDialog::ColorSelectionDialog | ( | GtkColorSelectionDialog * | color_selection_dialog,
|  | bool | reference = false
| ) | `[explicit, protected]`

  | Construct a new ColorSelectionDialog from an existing GtkColorSelectionDialog. Parameters:
  color_selection_dialog | A pointer to a GtkColorSelectionDialog.
  reference | Set false if the initial reference count is floating, set true if it's not.
The color_selection_dialog can be a newly created GtkColorSelectionDialog or an existing GtkColorSelectionDialog. (see G::Object::Object).

Inti::Gtk::ColorSelectionDialog::ColorSelectionDialog | ( | const String & | title | ) | `[explicit]`

  | Construct a new ColorSelectionDialog with the specified title. Parameters:
  title | A String containing the title text for the dialog.

## Member Function Documentation

ColorSelection* Inti::Gtk::ColorSelectionDialog::colorsel | ( |  | ) | const

| Returns the ColorSelection widget contained within the dialog. Use this widget and its get_current_color() method to gain access to the selected color. Connect a slot to this widget's color_changed_signal, to be notify when the color changes.

The documentation for this class was generated from the following file:

- colorselection.h

Main Page - Footer